Index: modules_contrib/panels/css/panels-dashboard.css
===================================================================
--- modules_contrib/panels/css/panels-dashboard.css	(revision 4f375e3c16522ed686093be9fd8d4fd3a3e601a3)
+++ modules_contrib/panels/css/panels-dashboard.css	(revision 4f375e3c16522ed686093be9fd8d4fd3a3e601a3)
@@ -0,0 +1,62 @@
+
+.dashboard-entry .dashboard-link {
+  font-size: 120%;
+  font-weight: bold;
+}
+
+.dashboard-entry .dashboard-icon img {
+  vertical-align: middle;
+}
+.dashboard-title {
+  font-weight: bold;
+  font-size: 140%;
+  margin-bottom: .5em;
+}
+
+.dashboard-link form input {
+  margin: 0;
+}
+
+.dashboard-link form select {
+  margin: 0;
+}
+
+.dashboard-left {
+  width: 47%;
+  float: left;
+}
+
+.dashboard-right {
+  margin-left: 2em;
+  width: 47%;
+  float: left;
+}
+
+.dashboard-question {
+  margin-top: 14em;
+  padding: 1em;
+  text-align: center;
+}
+
+.dashboard-content table {
+  margin: 0;
+  width: 100%;
+}
+
+.dashboard-content {
+  padding: 0 1em;
+}
+
+.panels-dashboard .links {
+  text-align: right;
+}
+
+.dashboard-pages .page-manager-page-operations {
+  text-align: right;
+}
+
+.dashboard-block {
+  padding-bottom: 1em;
+  border-bottom: 1px dotted #ddd;
+  margin-bottom: 1em;
+}
Index: modules_contrib/panels/css/panels.css
===================================================================
--- modules_contrib/panels/css/panels.css	(revision 4f375e3c16522ed686093be9fd8d4fd3a3e601a3)
+++ modules_contrib/panels/css/panels.css	(revision 4f375e3c16522ed686093be9fd8d4fd3a3e601a3)
@@ -0,0 +1,50 @@
+
+div.panel-pane div.admin-links {
+  font-size: xx-small;
+  margin-right: 1em;
+}
+
+div.panel-pane div.admin-links li a {
+  color: #ccc;
+}
+
+div.panel-pane div.admin-links li {
+  padding-bottom: 2px;
+  background: white;
+  z-index: 201;
+}
+
+div.panel-pane div.admin-links:hover a,
+div.panel-pane div.admin-links-hover a {
+  color: #000;
+}
+
+div.panel-pane div.admin-links a:before {
+  content: "[";
+}
+
+div.panel-pane div.admin-links a:after {
+  content: "]";
+}
+
+div.panel-pane div.panel-hide {
+  display: none;
+}
+
+/** For IE we add the class via js; for other browsers we rely on :hover **/
+div.panel-pane div.panel-hide-hover,
+div.panel-pane:hover div.panel-hide {
+  display: block;
+  position: absolute;
+  z-index: 200;
+  margin-top: -1.5em;
+}
+
+div.panel-pane div.node {
+  margin: 0;
+  padding: 0;
+}
+
+div.panel-pane div.feed a {
+  float: right;
+}
Index: modules_contrib/panels/css/panels_admin.css
===================================================================
--- modules_contrib/panels/css/panels_admin.css	(revision 4f375e3c16522ed686093be9fd8d4fd3a3e601a3)
+++ modules_contrib/panels/css/panels_admin.css	(revision 4f375e3c16522ed686093be9fd8d4fd3a3e601a3)
@@ -0,0 +1,162 @@
+
+.layout-link {
+  float: left;
+  padding: 1em;
+  width: 125px;
+  height: 160px;
+}
+
+.layout-link img {
+  margin-left: auto;
+  margin-right: auto;
+}
+
+/* general style for the layout-icon */
+.layout-icon .caption {
+  width: 90px;
+  margin-bottom: 1em;
+}
+
+/* styles for the basic panel-%implementation% edit page */
+.layout-container,
+.right-container {
+  float: right;
+  padding: 0 0 0 .5em;
+  margin: 0;
+  width: 48.5%;
+}
+
+.info-container,
+.left-container {
+  padding-right: .5em;
+  width: 48.5%;
+}
+
+.right-container fieldset,
+.left-container fieldset,
+.layout-container fieldset {
+  margin-top: 0;
+}
+
+.layout-container .form-item {
+  margin: 0;
+}
+
+.layout-container .form-submit {
+  margin-top: 1em;
+}
+
+.layout-container .layout-icon,
+.left-container .layout-icon {
+  float: right;
+  margin-left: .5em;
+}
+
+.content-list ol {
+  padding-left: 0;
+  list-style-position: inside;
+}
+
+.content-list dt {
+  font-weight: bold;
+}
+
+.content-list dd {
+  margin-left: 2em;
+}
+
+/* styles for the choose layout page */
+.panels-layouts-checkboxes .form-checkboxes .form-item,
+#panels-choose-layout .form-radios .form-item {
+  float: left;
+  margin-right: .5em;
+  width: 90px;
+}
+
+.panels-layouts-checkboxes .form-checkboxes .form-item .layout-icon,
+#panels-choose-layout .form-radios .form-item .layout-icon {
+  float: none;
+  height: 11em;
+  width: 90px;
+}
+.panels-layouts-checkboxes .form-checkboxes .option,
+#panels-choose-layout .form-radios .form-item .option {
+  width: 50px;
+  display: block;
+  text-align: center;
+}
+
+.panels-layouts-checkboxes .form-submit,
+#panels-choose-layout .form-submit {
+  clear: left;
+}
+
+.panels-layouts-checkboxes .panels-layout-list label,
+#panels-choose-layout .panels-layout-list label {
+  width: 300px;
+  float: left;
+  clear: left;
+  background: url(../images/go-right.png) right no-repeat;
+  margin-right: 20px;
+}
+
+.panels-layouts-checkboxes .panels-layouts-category {
+  font-weight: bold;
+  width: 100%;
+  float: left;
+}
+
+.panels-layouts-checkboxes .description {
+  clear: left;
+}
+
+.change-layout-display .layout-icon {
+  float: left;
+}
+
+.change-layout-display > img {
+  padding: 25px 25px 25px 0;
+  float: left;
+}
+
+table .operation {
+  text-align: right;
+  padding-right: 6px;
+}
+
+table .argument-operation input {
+  padding: 0;
+  margin: 0;
+  position: relative;
+  top: 3px;
+}
+
+.panels-admin-view {
+  padding: 1em;
+  border: 1px dotted black;
+  margin-bottom: 1em;
+}
+
+tr.changed td {
+  background-color: #FFFFDD !important;
+}
+
+tr.changed td span.star {
+  font-weight: bold;
+  color: #E09010;
+}
+
+td select {
+  margin: 0;
+  padding: 0;
+}
+
+.panels-style-settings,
+.panels-style-settings-box,
+#panels-style-setting {
+  float: left;
+}
+
+.panels-style-settings-box .form-item {
+  margin: 0 1em 0 0;
+}
Index: modules_contrib/panels/css/panels_dnd.css
===================================================================
--- modules_contrib/panels/css/panels_dnd.css	(revision 4f375e3c16522ed686093be9fd8d4fd3a3e601a3)
+++ modules_contrib/panels/css/panels_dnd.css	(revision 4f375e3c16522ed686093be9fd8d4fd3a3e601a3)
@@ -0,0 +1,629 @@
+
+#panels-dnd-main {
+  margin: 0.5em 0;
+}
+
+#panels-dnd-main div.panels-display {
+  padding: 0 0 .5em 0;
+  border: 1px dashed #ddd;
+  background: #f8f8f8;
+  -webkit-border-radius: 0.333em;
+  -moz-border-radius: 0.333em;
+}
+
+#panels-dnd-main div.panels-display h2.label {
+  color: #555;
+  text-shadow: #fff 1px 1px 1px;
+  text-align: center;
+  font-size: 13pt;
+  margin: 0 0 .5em 0;
+  padding-right: 16px;
+  vertical-align: middle;
+}
+
+#panels-dnd-main div.panels-display .pane-add {
+  float: left;
+  margin: 2px;
+  background: #999;
+  border: 1px solid #fff;
+}
+
+#panels-dnd-main div.panels-display .pane-add-link {
+  position: absolute;
+  display: block;
+  width: 16px;
+  height: 16px;
+  float: left;
+  margin: 2px 2px 2px 4px;
+}
+
+div.panels-set-title-hide .panels-set-title {
+  display: none !important;
+}
+
+/* Add Icon */
+#panels-dnd-main div.panels-display .pane-add-link  {
+}
+#panels-dnd-main div.panels-display .pane-add-link img {
+  display: none;
+}
+#panels-dnd-main div.panels-display .pane-add-link a.ctools-dropdown-image-link {
+  border: none;
+  width: 16px;
+  height: 18px;
+  float: left;
+  background: url('../images/sprite.png') no-repeat 0 -1178px;
+/*  background: url('../images/sprite.png') no-repeat -166px -582px; */
+}
+
+.panel-portlet {
+  padding: 0em;
+  background: #ffffff;
+  border: 1px solid #bbb;
+}
+
+div.panels-set-title-hide .panel-pane-is-title {
+  border: 1px solid #bbb;
+}
+
+.panel-pane-is-title {
+  border: 2px solid #777;
+}
+
+/* Cog Icon */
+.panel-portlet .buttons a img {
+  display: none;
+  margin: 0;
+}
+.panel-portlet .buttons a.ctools-dropdown-image-link {
+  border: none;
+  width: 16px;
+  height: 16px;
+  margin: 0 5px 0 0;
+  float: none;
+  display: block;
+  background: url('../images/sprite.png') no-repeat 0 -1178px;
+}
+
+#panels-dnd-main .panel-pane,
+#panels-dnd-main .helperclass {
+  margin: .5em;
+}
+
+#panels-dnd-main-form .inline-icon-help {
+  vertical-align: middle;
+  margin: 2px 1px;
+}
+
+.panel-pane.hidden-pane {
+  background: #f8f8f8;
+}
+
+.panel-portlet .pane-content {
+  margin: .5em 0 .5em 0;
+  padding: 0 .25em 0 .25em;
+  display: none; /* initially hidden */
+}
+
+.panel-portlet .grabber {
+  width: 100%;
+  height: 20px;
+  cursor: move;
+  margin: 0 0 0.5em 0;
+  overflow: hidden;
+  background: #b3b3b3 url('../images/bg-shade-medium.png') repeat-x 0 100%;
+  color: #fff;
+  text-shadow: #555 1px 1px 1px;
+  border-color: #999;
+  font-weight: bold;
+}
+
+.panel-portlet.hidden-pane .grabber {
+  background-color: #888;
+}
+
+.panel-portlet .changed div.grabber {
+  background-color: #FFFFDD !important;
+  border-bottom: 1px solid #3D9CD7 !important;
+  color: black !important;
+}
+
+.panel-portlet .changed.hidden-pane div.grabber {
+  background-color: #B4B488 !important;
+  border-bottom: 1px solid #3D9CD7 !important;
+}
+
+.panel-portlet .changed div.grabber span.star {
+  font-weight: bold;
+  color: #E09010;
+}
+
+.panel-portlet .grabber:hover {
+  color: #fff;
+  background-color: #2F78A5;
+}
+
+.panel-portlet.hidden-pane .grabber:hover {
+  background-color: #666;
+}
+
+.panel-portlet .grabber:active {
+  background-color: red;
+}
+
+.panel-portlet .grabber:hover,
+.panel-portlet .grabber:active {
+  background: #858585 url('../images/bg-shade-dark.png') repeat-x 0 100%;
+  color: #fff;
+  text-shadow: #333 1px 1px 1px;
+  border-color: #858585;
+}
+
+.panel-portlet .grabber .text {
+  margin-left: 3px;
+  font-size: 90%;
+  line-height: 20px;
+}
+
+.panel-portlet .buttons {
+  float: right;
+  padding: 0;
+  margin: 0;
+}
+
+.panel-portlet .buttons input {
+  margin: 0;
+  padding: 0;
+  display: inline;
+}
+
+.panel-portlet .buttons a img {
+  margin: 2px 1px;
+}
+
+.panel-portlet .pane-title {
+  font-size:110%;
+  cursor: pointer;
+}
+
+.panel-portlet .panel-pane-collapsible {
+  margin: 0;
+  padding: 0;
+}
+
+.panel-portlet .toggle {
+  float: left;
+  width: 21px;
+  height: 21px;
+  cursor: pointer;
+  background: url('../images/sky.png') no-repeat 6px -245px;
+}
+
+.panel-portlet .toggle-collapsed {
+  background: url('../images/sky.png') no-repeat 6px -1021px;
+}
+
+/* CSS to guide a user to a place to drop */
+#panels-dnd-main .helperclass {
+  border: 1px dashed red;
+}
+
+#panels-dnd-main .hoverclass {
+  border: 1px solid red !important;
+}
+
+/* CSS for an area if something can be dropped in it */
+.panels-modal-content {
+  background: #fff;
+  color: #000;
+  padding: 0;
+  margin: 2px;
+  border: 1px solid #000;
+  width: 600px;
+  text-align: left;
+}
+
+.panels-modal-content .modal-title {
+  font-size: 120%;
+  font-weight: bold;
+  color: white;
+  overflow: hidden;
+  white-space: nowrap;
+}
+
+.panels-modal-content .modal-header {
+  background-color: #2385c2;
+  padding: 0 .25em 0 1em;
+}
+
+.panels-modal-content .modal-header a {
+  color: white;
+  float: right;
+}
+
+.panels-modal-content .modal-content {
+  padding: 0 1em;
+  overflow: auto;
+  width: 575px;
+  height: 400px;
+}
+
+.panels-modal-content .modal-form {
+}
+
+.panels-modal-content .form-checkboxes .form-item {
+  float: left;
+  width: 24%;
+}
+
+.panels-hidden,
+.panels-js-only {
+  display: none;
+}
+
+a.close {
+  color: white;
+}
+
+a.close:hover {
+  text-decoration: none;
+}
+
+a.close img {
+  position: relative;
+  top: 1px;
+}
+
+.panels-section-title {
+  clear: left;
+  border-bottom: 1px solid #ddf;
+  margin-bottom: .5em;
+  text-align: left;
+}
+
+.panels-section-decorator {
+}
+
+.panels-add-content-modal .panels-modal-add-category {
+  display: block;
+  border-bottom: 1px solid white;
+  padding-left: .5em;
+  margin-left: -2px;
+  position: relative;
+}
+
+.panels-add-content-modal .panels-modal-add-category.active {
+  background: url(../images/arrow-active.png) center right no-repeat white;
+  border-right: none;
+}
+
+.panels-add-content-modal {
+  background: url(../images/bg-content-modal.png);
+  height: 100%;
+  margin: -1em;
+  padding-top: 1em;
+  padding-left: 175px;
+  position: relative;
+}
+
+.panels-section-columns {
+  height: 100%;
+  overflow: auto;
+}
+.panels-section-column {
+  width: 48%;
+  float: left;
+}
+
+.panels-section-column .inside {
+  padding: 0 1em;
+}
+
+.panels-section-column-categories {
+  width: 173px;
+  margin-left: -173px;
+}
+
+.panels-categories-description {
+  padding: 0 1em;
+  text-align: center;
+  vertical-align: center;
+}
+
+* html .panels-section-column-categories {
+  left: 173px;
+  position: relative;
+}
+
+.panels-section-column-categories .panels-categories-box {
+  border-top: 1px solid white;
+  margin-bottom: 1em;
+}
+
+.panels-section-column-categories .inside {
+  padding: 0;
+ }
+
+.panels-section-column-categories .content-type-button {
+  padding-left: 10px;
+}
+
+.panels-modal-add-category {
+  color: #5b5b5b !important;
+  font-weight: bold;
+  line-height: 2em;
+}
+
+.panels-section {
+  margin-bottom: 1em;
+}
+
+.panels-section-column .content-type-button {
+  font-size: 8pt;
+  line-height: 1em;
+  overflow: hidden;
+  text-align: left;
+}
+
+.content-type-button img {
+  border: 2px solid white;
+  float: left;
+}
+
+.content-type-button img:hover {
+  border: 2px solid blue;
+}
+
+.content-type-button div {
+  width: 85%;
+  top: -5px;
+  left: 2px;
+  float: left;
+  padding-left: 3px;
+  padding-top: 5px;
+}
+
+#panels-preview .modal-throbber-wrapper {
+  width: 100%;
+  text-align: center;
+  margin-left: auto;
+  margin-right: auto;
+}
+/** modal forms CSS **/
+.panels-modal-content .form-item label {
+  width: 8em;
+  float: left;
+}
+
+.panels-modal-content .form-item label.option {
+  width: auto;
+  float: none;
+}
+
+.panels-modal-content .form-item .description {
+  clear: left;
+}
+
+.panels-modal-content .form-item .description .tips {
+  margin-left: 2em;
+}
+
+.panels-modal-content .no-float .form-item * {
+  float: none;
+}
+
+.panels-modal-content .modal-form .no-float label  {
+  width: auto;
+}
+
+.panels-modal-content .modal-form fieldset,
+.panels-modal-content .modal-form .form-checkboxes {
+  clear: left;
+}
+
+#edit-configuration-nid {
+  clear: left;
+}
+
+.option-text-aligner .form-item {
+  float: left;
+  padding: .25em 1em .25em 0;
+  margin: 0;
+}
+
+.option-text-aligner {
+  clear: both;
+  width: 100%;
+  padding: 0;
+  margin: 0;
+}
+
+
+#panels-dnd-main div.panel-pane div.ctools-dropdown-container-wrapper {
+  margin-left: -158px;
+  margin-top: -4px;
+}
+
+/*
+html.js div.panels-display-links div.ctools-dropdown-container {
+  width: 275px;
+}
+
+html.js div.panels-display-links div.ctools-dropdown-container ul li li a {
+  width: 250px;
+}
+
+html.js div.panels-display-links div.ctools-dropdown-container ul li a {
+  width: 270px;
+}
+*/
+
+#panels-dnd-main .panel-pane .pane-title {
+  padding: 0.25em 0.5em;
+}
+#panels-dnd-main .panel-pane .pane-title:after {
+  font-size: 0.8em;
+  color: crimson;
+  letter-spacing: normal;
+  display: block;
+}
+#panels-dnd-main .panel-pane.hidden-pane .pane-title:after {
+  content: " status: hidden";
+}
+#panels-dnd-main .panel-pane.changed .pane-title:after {
+  content: " status: changes not saved";
+}
+#panels-dnd-main .panel-pane.hidden-pane.changed .pane-title:after {
+  content: " status: hidden & changed";
+}
+
+/* @end */
+
+
+/* @group CTools Dropdown */
+#panels-dnd-main .ctools-dropdown a.ctools-dropdown-text-link,
+html.js div.panels-display-links a.ctools-dropdown-text-link {
+
+  background: url('../images/arrow-down-light.png') 0 3px no-repeat!important;
+  padding-left: 12px;
+}
+html.js #panels-dnd-main div.ctools-dropdown div.ctools-dropdown-container,
+html.js div.panels-display-links div.ctools-dropdown-container {
+  width: 160px!important;
+  background: #fff url('../images/bg-shade-white-lrg.png') repeat-x 0 100%;
+  border: solid 1px #ddd!important;
+  margin: 0!important;
+/*  padding: 0.5em!important; */
+  -webkit-border-radius: 0.333em;
+  -moz-border-radius: 0.333em;
+  -webkit-box-shadow: 0.333em 0.333em 0.333em rgba(0, 0, 0, 0.25);
+  font-size: 0.9em;
+  font-weight: bold;
+}
+
+html.js #panels-dnd-main div.ctools-dropdown div.ctools-dropdown-container ul li,
+html.js div.panels-display-links div.ctools-dropdown-container ul li {
+
+  text-decoration: none;
+  padding: 0;
+  margin: 0;
+  color: #555!important;
+  text-shadow: #fff 1px 1px 1px;
+}
+html.js #panels-dnd-main div.ctools-dropdown div.ctools-dropdown-container ul li span.text,
+html.js div.panels-display-links div.ctools-dropdown-container ul li span.text {
+
+  font-style: normal;
+  color: #000;
+  font-weight: bold;
+}
+
+html.js #panels-dnd-main div.ctools-dropdown div.ctools-dropdown-container ul li a,
+html.js div.panels-display-links div.ctools-dropdown-container ul li a {
+  color: #555!important;
+  font-weight: normal;
+  width: auto;
+  padding: 0 10px;
+}
+
+html.js #panels-dnd-main div.ctools-dropdown div.ctools-dropdown-container ul li span.panels-text,
+html.js div.panels-display-links div.ctools-dropdown-container ul li span.panels-text {
+  width: auto;
+  padding: 0 10px;
+}
+
+html.js #panels-dnd-main div.ctools-dropdown div.ctools-dropdown-container ul li .panels-italic,
+html.js div.panels-display-links div.ctools-dropdown-container ul li .panels-italic {
+  font-style: italic;
+}
+
+html.js #panels-dnd-main div.ctools-dropdown div.ctools-dropdown-container ul li span.dropdown-header,
+html.js div.panels-display-links div.ctools-dropdown-container ul li span.dropdown-header {
+  background-color: #fefefe;
+  padding: 0 10px;
+}
+
+html.js #panels-dnd-main div.ctools-dropdown div.ctools-dropdown-container ul li .panels-sub-menu ul li a,
+html.js div.panels-display-links div.ctools-dropdown-container ul li .panels-sub-menu ul li a,
+html.js #panels-dnd-main div.ctools-dropdown div.ctools-dropdown-container ul li .panels-sub-menu span.panels-text,
+html.js div.panels-display-links div.ctools-dropdown-container ul li .panels-sub-menu span.panels-text {
+  padding: 0 20px;
+}
+
+html.js #panels-dnd-main div.ctools-dropdown div.ctools-dropdown-container hr,
+html.js div.panels-display-links div.ctools-dropdown-container hr {
+  border: 0;
+  color: #ddd;
+  background-color: #ddd;
+  height: 1px;
+}
+
+/*
+html.js #panels-dnd-main  div.ctools-dropdown div.ctools-dropdown-container ul li a:hover,
+html.js div.panels-display-links div.ctools-dropdown-container ul li a:hover {
+  background: none!important;
+  color: #000!important;
+}
+*/
+/* @end */
+
+/* @group Modal */
+/* Account for the extra div coming from ctools_modal_form_render() */
+div.messages div.messages {
+  background: none;
+  border: none;
+  margin: 0;
+  padding: 0;
+  -webkit-border-radius: 0;
+  -moz-border-radius: 0;
+}
+div.ctools-modal-content .modal-header {
+  background: #fff url('../images/bg-shade-light.png') repeat-x bottom left;
+  color: #777;
+  display: block;
+  font-weight: 700;
+  letter-spacing: normal;
+  padding: 0.25em 1em;
+  -moz-border-radius-topleft: 0.5em;
+  -moz-border-radius-topright: 0.5em;
+  -webkit-border-top-left-radius: 0.5em;
+  -webkit-border-top-right-radius: 0.5em;
+}
+div.ctools-modal-content .modal-title {
+  font-size: 120%;
+  font-weight: bold;
+  text-shadow: #fff 1px 1px 1px;
+  color: #555;
+}
+div.ctools-modal-content a.close {
+  color: #666;
+  font-weight: normal;
+  padding-left: 1.6em;
+  background: url('../images/sprite.png') no-repeat -166px -1686px;
+}
+div.ctools-modal-content a.close img {
+  display: none;
+}
+/** modal forms CSS **/
+div.ctools-modal-content .form-item label {
+  width: 100%;
+  float: none;
+  clear: both;
+}
+div.ctools-modal-content .resizable-textarea {
+  width: 100%;
+  margin-left: 0;
+  margin-right: 0;
+}
+div.ctools-modal-content {
+  font-size: 12px;
+  border: solid 1px #ddd;
+  -webkit-border-radius: 0.5em;
+  -moz-border-radius: 0.5em;
+  -webkit-box-shadow: -1em 1em 1em rgba(0, 0, 0, 0.5);
+}
+#modalBackdrop {
+  position: fixed!important;
+  background-color: #000!important;
+}
+/* @end */
Index: modules_contrib/panels/css/panels_page.css
===================================================================
--- modules_contrib/panels/css/panels_page.css	(revision 4f375e3c16522ed686093be9fd8d4fd3a3e601a3)
+++ modules_contrib/panels/css/panels_page.css	(revision 4f375e3c16522ed686093be9fd8d4fd3a3e601a3)
@@ -0,0 +1,14 @@
+
+div.panels-page-type-container {
+  clear: left;
+}
+
+div.panels-page-type-container .form-checkboxes .form-item {
+  float: left;
+  width: 15em;
+}
+
+#panels-page-settings .form-submit {
+  display: block;
+  clear: left;
+}