Index: 0.3-stable-modules/proyectos_operativos_seguimiento/includes/fase_de_seguimiento_proyecto_y_aes.pages.inc
===================================================================
--- 0.3-stable-modules/proyectos_operativos_seguimiento/includes/fase_de_seguimiento_proyecto_y_aes.pages.inc	(revision a0b432758c774d5bcd8e8fbfbd786afaf0e24ac6)
+++ 0.3-stable-modules/proyectos_operativos_seguimiento/includes/fase_de_seguimiento_proyecto_y_aes.pages.inc	(revision 6a22cd8d4f2cc65ccc2689193c2bc9b92e08b024)
@@ -1,6 +1,5 @@
 <?php
 
-function _tabla_seg_proyecto_estadomes_page($node, $mes=0) {
-  
+function _tabla_seg_proyecto_estadomes_page($node, $mes=0) {  
   $meses = array(
     0 => t('January'),
@@ -17,15 +16,12 @@
     11 => t('December'),
   );
-    
   $tablas = array();
-  
   $header = array();
+  $row = array();
+  $rows = array();
   $header[] = array('data' => t('Mes'),'style' => 'text-align:center',);
   $header[] = array('data' => t('Estado'), 'colspan' => 2, 'style' => 'text-align:center',); 
-  $header[] = array('data' => t('Opciones Disponibles'),'style' => 'text-align:center',); 
-    
-  $rows = array();
-  
-  $row = array();
+  $header[] = array('data' => t('Opciones Disponibles'),'style' => 'text-align:center',);   
+
   $row[] = array('data' => $meses[$mes],);
   
@@ -35,13 +31,12 @@
   $transiciones_dispo = _obtener_transiciones_disponibles_proyecto($node, $mes);
   $nivel_usuario = _obtener_nivel_usuario_segun_estado($transiciones_dispo['nombre_estado_actual']);
-  //echo print_r($transiciones_dispo).'<br>';
-  //echo print_r().'<br>';
     
-  if(isset($transiciones_dispo['nombre_estado_actual'])){
+  if (isset($transiciones_dispo['nombre_estado_actual'])) {
     $colorSemaforo =  _calcular_color_semaforo_estado_actual($transiciones_dispo['nombre_estado_actual']);
     $row[] = array('data' => 'â¢', 'style' => 'font-weight: bold;font-size: 35px;text-align:center; color:' . $colorSemaforo);
     $row[] = array('data' => $transiciones_dispo['nombre_estado_actual'],);
-  }else{
-    if(isset($transiciones_dispo['estado_actual'])&& $transiciones_dispo['estado_actual'] < 0){
+  }
+  else {
+    if (isset($transiciones_dispo['estado_actual']) && $transiciones_dispo['estado_actual'] < 0) {
       $row[] = array('data' => '-',);
       $row[] = array('data' => 'Por Ingresar',);
@@ -51,5 +46,6 @@
         $row[] = array('data' => theme('item_list', $links),);
       }*/
-    }else{
+    }
+    else {
       $row[] = array('data' => '-',);
       $row[] = array('data' => '-',);
@@ -59,28 +55,20 @@
   
   $links = array();
-  //echo print_r($row).'<br>';
-    
-  if(_periodo_de_seguimiento_proyecto_y_aes_esta_activo()){
-      
-    if(_mes_habilitado_para_seguimiento($mes)){
-        
+  if (_periodo_de_seguimiento_proyecto_y_aes_esta_activo()) {
+    if (_mes_habilitado_para_seguimiento($mes)) {
       $rol_ente_usuario = _obtener_rol_y_ente_de_usuario();
-        
-      //echo $nivel_usuario.'-'.$rol_ente_usuario['rol'];
       //esta en el mismo nivel de usuario o es administrador =>
-      if(($nivel_usuario == $rol_ente_usuario['rol']) || $rol_ente_usuario['rol']=='administrador'){//nivel de usuario == rol actor
-        
+      if (($nivel_usuario == $rol_ente_usuario['rol']) || $rol_ente_usuario['rol']=='administrador') {//nivel de usuario == rol actor
         //verificar que tenga el mismo ente planificador (para enlace o supervisor) 
-        if($rol_ente_usuario['rol']=='enlace'||$rol_ente_usuario['rol']=='supervisor'){//enlace o supervisor
-          if($rol_ente_usuario['id_ente'] == $node->field_proyecto_ente[0]['nid']){//deben ser del mismo ente que el proyecto
-            //echo 'aaaaaaaaaaa';
-            if(isset($transiciones_dispo['nombre_estado_actual'])){
-                //echo $transiciones_dispo['nombre_estado_actual'].'<br>';
+        if ($rol_ente_usuario['rol']=='enlace' || $rol_ente_usuario['rol']=='supervisor') {//enlace o supervisor
+          if ($rol_ente_usuario['id_ente'] == $node->field_proyecto_ente[0]['nid']) {//deben ser del mismo ente que el proyecto
+            if (isset($transiciones_dispo['nombre_estado_actual'])) {
               $links[] = '<b>'.l(t('Modificar'), 'node/'.$node->nid.'/seguimiento_proyecto/mes/'.$mes.'/edit').'</b>';
-              foreach($transiciones_dispo['transic'] as $id => $estado_i){
+              foreach ($transiciones_dispo['transic'] as $id => $estado_i) {
                 $expr_mach = _nombres_estado_y_transiciones($estado_i);
-                if(isset($expr_mach['nombre_corto'])){
+                if (isset($expr_mach['nombre_corto'])) {
                   $links[] = '<b>'.l(t($expr_mach['nombre_corto']), 'node/'.$node->nid.'/seguimiento_proyecto/'.$mes.'/workflow/'.$id).'</b>';
-                }else{
+                }
+                else {
                   $links[] = '<b>'.l(t('cambiar estado a '.$estado_i), 'enlace').'</b>';
                 }
@@ -88,6 +76,6 @@
               $links[] = '<b>'.l(t('Ver Historial'), 'node/'.$node->nid.'/seguimiento_proyecto/'.$mes.'/workflow/historial').'</b>';
               //node/14/seguimiento_proyecto/8/workflow/historial
-            }else{
-              //echo print_r($row).'<br>';
+            }
+            else {
               //$row[] = array('data' => 'Por_ingresar',);
               //if(($rol_ente_usuario['rol']=='enlace')&&($row[2]['data']=='Por Ingresar')){
@@ -98,29 +86,34 @@
               
           }
-        }else{// control o administrador
-            if(isset($transiciones_dispo['nombre_estado_actual'])){
-              if(!_seg_esta_aprobado_proyecto($node, $mes)){
+        }
+        else {// control o administrador
+            if (isset($transiciones_dispo['nombre_estado_actual'])) {
+              if (!_seg_esta_aprobado_proyecto($node, $mes)) {
                 $links[] = '<b>'.l(t('Modificar'), 'node/'.$node->nid.'/seguimiento_proyecto/mes/'.$mes.'/edit').'</b>';
               }
-              foreach($transiciones_dispo['transic'] as $id => $estado_i){
+              foreach ($transiciones_dispo['transic'] as $id => $estado_i) {
                 $expr_mach = _nombres_estado_y_transiciones($estado_i);
-                if(isset($expr_mach['nombre_corto'])){
+                if (isset($expr_mach['nombre_corto'])) {
                   $links[] = '<b>'.l(t($expr_mach['nombre_corto']), 'node/'.$node->nid.'/seguimiento_proyecto/'.$mes.'/workflow/'.$id).'</b>';
-                }else{
+                }
+                else {
                   $links[] = '<b>'.l(t('cambiar estado a '.$estado_i), 'enlace').'</b>';
                 }
               }
               $links[] = '<b>'.l(t('Ver Historial'), 'node/'.$node->nid.'/seguimiento_proyecto/'.$mes.'/workflow/historial').'</b>';
-            }else{
-              if($rol_ente_usuario['rol']=='administrador'){
+            }
+            else {
+              if ($rol_ente_usuario['rol']=='administrador') {
                 $links[] = '<b>'.l(t('Ingresar'), 'node/'.$node->nid.'/seguimiento_proyecto/mes/'.$mes.'/edit').'</b>';
               }
             }
         }
-      }else{
-        if(isset($transiciones_dispo['nombre_estado_actual'])){
+      }
+      else {
+        if (isset($transiciones_dispo['nombre_estado_actual'])) {
           $links[] = '<b>'.l(t('Ver Historial'), 'node/'.$node->nid.'/seguimiento_proyecto/'.$mes.'/workflow/historial').'</b>';
-        }else{
-          if(($rol_ente_usuario['rol']=='enlace')&&($rol_ente_usuario['id_ente'] == $node->field_proyecto_ente[0]['nid'])){
+        }
+        else {
+          if (($rol_ente_usuario['rol']=='enlace')&&($rol_ente_usuario['id_ente'] == $node->field_proyecto_ente[0]['nid'])) {
             $links[] = '<b>'.l(t('Ingresar'), 'node/'.$node->nid.'/seguimiento_proyecto/mes/'.$mes.'/edit').'</b>';  
           }
@@ -128,21 +121,17 @@
       }
       $row[] = array('data' => theme('item_list', $links),);
-       
-    }else{
+    }
+    else {
       $row[] = array('data' => '',);
       $nota_piepagina = t('Mes no habilitado para seguimiento.');
     }
-      
-  }else{
+  }
+  else{
     $row[] = array('data' => '',);
     $nota_piepagina = t('PerÃ­odo para seguimiento no activo.');
   }
-
   //*********************************************************************************************************
-
   $rows[] = $row;
-  
   $tablas[]= theme('table', $header, $rows);
-  
   $output = '';
 
@@ -151,5 +140,5 @@
     $output .= '<br>';
     $output .= implode('', $tablas);
-    if(isset($nota_piepagina)){
+    if (isset($nota_piepagina)) {
       $output .= '<b>' . t('Nota complementaria') . '</b>: '.$nota_piepagina.'<br>';
     }
@@ -159,27 +148,23 @@
     $output .= '<br>';
   }
-
   return $output;
 }
 
 function _tabla_seg_aeproyecto_estadomes_page($node, $mes=0) {
-  
-    $meses = array(
-      0 => t('January'),
-      1 => t('February'), 
-      2 => t('March'), 
-      3 => t('April'),
-      4 => t('May'),
-      5 => t('June'),
-      6 => t('July'),
-      7 => t('August'),
-      8 => t('September'),
-      9 => t('Octuber'),
-      10 => t('November'),
-      11 => t('December'),
-    );
-    
+  $meses = array(
+    0 => t('January'),
+    1 => t('February'), 
+    2 => t('March'), 
+    3 => t('April'),
+    4 => t('May'),
+    5 => t('June'),
+    6 => t('July'),
+    7 => t('August'),
+    8 => t('September'),
+    9 => t('Octuber'),
+    10 => t('November'),
+    11 => t('December'),
+  );   
   $tablas = array();
-  
   $header = array();
   $header[] = array('data' => t('Mes'),'style' => 'text-align:center',);
@@ -188,22 +173,21 @@
     
   $rows = array();
-  
   $row = array();
   $links = array();
   $row[] = array('data' => $meses[$mes],);
   
-  if(_accion_especifica_de_proyecto_seguimiento_consultar_mes_access($node, $mes)){
+  if (_accion_especifica_de_proyecto_seguimiento_consultar_mes_access($node, $mes)) {
     //si es accion especifica y si el mes pertenece a la duracion
-    
     //calcular el estado
     $transiciones_dispo = _obtener_transiciones_disponibles($node, $mes);
     $nivel_usuario = _obtener_nivel_usuario_segun_estado($transiciones_dispo['nombre_estado_actual']);
     
-    if(isset($transiciones_dispo['nombre_estado_actual'])){
+    if (isset($transiciones_dispo['nombre_estado_actual'])) {
       $colorSemaforo =  _calcular_color_semaforo_estado_actual($transiciones_dispo['nombre_estado_actual']);
       $row[] = array('data' => 'â¢', 'style' => 'font-weight: bold;font-size: 35px;text-align:center; color:' . $colorSemaforo);
       $row[] = array('data' => $transiciones_dispo['nombre_estado_actual'],);
-    }else{
-      if(isset($transiciones_dispo['estado_actual'])&& $transiciones_dispo['estado_actual'] < 0){
+    }
+    else {
+      if (isset($transiciones_dispo['estado_actual'])&& $transiciones_dispo['estado_actual'] < 0) {
         $row[] = array('data' => '-',);
         $row[] = array('data' => t('Por Ingresar'),);
@@ -213,35 +197,26 @@
           $row[] = array('data' => theme('item_list', $links),);
           }*/
-      }else{
+      }
+      else {
         $row[] = array('data' => '-',);
         $row[] = array('data' => '-',);
       //$row[] = array('data' => '-',);
       }
-    }
-      
-    
-    if(_periodo_de_seguimiento_proyecto_y_aes_esta_activo()){
-      
-      if(_mes_habilitado_para_seguimiento($mes)){
-        
+    } 
+    if (_periodo_de_seguimiento_proyecto_y_aes_esta_activo()) {
+      if (_mes_habilitado_para_seguimiento($mes)) {
         $rol_ente_usuario = _obtener_rol_y_ente_de_usuario();
-        //echo print_r($rol_ente_usuario).'<br>';
-        //echo print_r($rol_ente_usuario).'-'.$nivel_usuario.'<br>';
-        if(($nivel_usuario == $rol_ente_usuario['rol'])||$rol_ente_usuario['rol']=='administrador'){//nivel de usuario == rol actor
-          
-          if($rol_ente_usuario['rol']=='enlace'||$rol_ente_usuario['rol']=='supervisor'){//enlace o supervisor
+        if (($nivel_usuario == $rol_ente_usuario['rol']) || $rol_ente_usuario['rol']=='administrador') {//nivel de usuario == rol actor
+          if ($rol_ente_usuario['rol']=='enlace' || $rol_ente_usuario['rol']=='supervisor') {//enlace o supervisor
             $nodo_proyecto = node_load($node->field_accion_esp_proyecto[0]['nid']);
-            //echo $rol_ente_usuario['id_ente'] .'-'.$nodo_proyecto->field_proyecto_ente[0]['nid'].'<br>';
-            if($rol_ente_usuario['id_ente'] == $nodo_proyecto->field_proyecto_ente[0]['nid']){//deben ser del mismo ente que el proyecto
-              
-            
-              if(isset($transiciones_dispo['nombre_estado_actual'])){
-                //echo $transiciones_dispo['nombre_estado_actual'].'<br>';
+            if ($rol_ente_usuario['id_ente'] == $nodo_proyecto->field_proyecto_ente[0]['nid']) {//deben ser del mismo ente que el proyecto
+              if (isset($transiciones_dispo['nombre_estado_actual'])) {
                 $links[] = '<b>'.l(t('Modificar'), 'node/'.$node->nid.'/seguimiento_aeproyecto/partidas/'.$mes.'/edit').'</b>';
-                foreach($transiciones_dispo['transic'] as $id => $estado_i){
+                foreach ($transiciones_dispo['transic'] as $id => $estado_i) {
                   $expr_mach = _nombres_estado_y_transiciones($estado_i);
-                  if(isset($expr_mach['nombre_corto'])){
+                  if (isset($expr_mach['nombre_corto'])) {
                     $links[] = '<b>'.l(t($expr_mach['nombre_corto']), 'node/'.$node->nid.'/seguimiento_aeproyecto/'.$mes.'/workflow/'.$id).'</b>';
-                  }else{
+                  }
+                  else {
                     $links[] = '<b>'.l(t('cambiar estado a '.$estado_i), 'enlace').'</b>';
                   }
@@ -249,54 +224,58 @@
                 $links[] = '<b>'.l(t('Ver Historial'), 'node/'.$node->nid.'/seguimiento_aeproyecto/'.$mes.'/workflow/historial').'</b>';
                 //node/%node/seguimiento_aeproyecto/%messegaepartida/workflow/historial
-              }else{
+              }
+              else {
                 //$row[] = array('data' => 'Por_ingresar',);
                 $links[] = '<b>'.l(t('Ingresar'), 'node/'.$node->nid.'/seguimiento_aeproyecto/partidas/'.$mes.'/edit').'</b>';
               }
-              
-            }
-          }else{// control o administrador
-            if(isset($transiciones_dispo['nombre_estado_actual'])){
-              if(!_seg_esta_aprobado($node, $mes)){
+            }
+          }
+          else {// control o administrador
+            if (isset($transiciones_dispo['nombre_estado_actual'])) {
+              if (!_seg_esta_aprobado($node, $mes)) {
                 $links[] = '<b>'.l(t('Modificar'), 'node/'.$node->nid.'/seguimiento_aeproyecto/partidas/'.$mes.'/edit').'</b>';
               }
-              foreach($transiciones_dispo['transic'] as $id => $estado_i){
+              foreach ($transiciones_dispo['transic'] as $id => $estado_i) {
                 $expr_mach = _nombres_estado_y_transiciones($estado_i);
-                if(isset($expr_mach['nombre_corto'])){
+                if (isset($expr_mach['nombre_corto'])) {
                   $links[] = '<b>'.l(t($expr_mach['nombre_corto']), 'node/'.$node->nid.'/seguimiento_aeproyecto/'.$mes.'/workflow/'.$id).'</b>';
-                }else{
+                }
+                else {
                   $links[] = '<b>'.l(t('cambiar estado a '.$estado_i), 'enlace').'</b>';
                 }
               }
               $links[] = '<b>'.l(t('Ver Historial'), 'node/'.$node->nid.'/seguimiento_aeproyecto/'.$mes.'/workflow/historial').'</b>';
-            }else{
-              if($rol_ente_usuario['rol']=='administrador'){
+            }
+            else {
+              if ($rol_ente_usuario['rol']=='administrador') {
                 $links[] = '<b>'.l(t('Ingresar'), 'node/'.$node->nid.'/seguimiento_aeproyecto/partidas/'.$mes.'/edit').'</b>';
               }
             }
           }
-        }else{
-          if(isset($transiciones_dispo['nombre_estado_actual'])){
+        }
+        else {
+          if (isset($transiciones_dispo['nombre_estado_actual'])) {
             $links[] = '<b>'.l(t('Ver Historial'), 'node/'.$node->nid.'/seguimiento_aeproyecto/'.$mes.'/workflow/historial').'</b>';
-          }else{
+          }
+          else {
             $nodo_proyecto = node_load($node->field_accion_esp_proyecto[0]['nid']);
-            if((($rol_ente_usuario['rol']=='enlace')&&($rol_ente_usuario['id_ente'] == $nodo_proyecto->field_proyecto_ente[0]['nid']))||$rol_ente_usuario['rol']=='administrador'){
-              $links[] = '<b>'.l(t('Ingresar'), 'node/'.$node->nid.'/seguimiento_aeproyecto/partidas/'.$mes.'/edit').'</b>';  
-            }
-          }
-        }
-        
+            if ((($rol_ente_usuario['rol']=='enlace')&&($rol_ente_usuario['id_ente'] == $nodo_proyecto->field_proyecto_ente[0]['nid']))||$rol_ente_usuario['rol']=='administrador') {
+              $links[] = '<b>'.l(t('Ingresar'), 'node/'.$node->nid.'/seguimiento_aeproyecto/partidas/'.$mes.'/edit').'</b>';
+            }
+          }
+        }
         $row[] = array('data' => theme('item_list', $links),);
-       
-      }else{
+      }
+      else {
         $row[] = array('data' => '',);
         $nota_piepagina = t('Mes no habilitado para seguimiento.');
       }
-      
-    }else{
+    }
+    else {
       $row[] = array('data' => '',);
       $nota_piepagina = t('PerÃ­odo para seguimiento no activo.');
     }
-    
-  }else{
+  }
+  else {
     $row[] = array('data' => '-',);
     $row[] = array('data' => t('No_ingresable'),);
@@ -304,16 +283,12 @@
     $nota_piepagina = t('Mes fuera del perÃ­odo de duraciÃ³n de la acciÃ³n especÃ­fica.');
   }
-  
   $rows[] = $row;
-  
   $tablas[]= theme('table', $header, $rows);
-  
   $output = '';
-
   if (count($tablas)) {
     $output .= '<b>' . t('AcciÃ³n EspecÃ­fica') . ': '.$node->titulo_asignado.'</b>';
     $output .= '<br>';
     $output .= implode('', $tablas);
-    if(isset($nota_piepagina)){
+    if (isset($nota_piepagina)) {
       $output .= '<b>' . t('Nota complementaria') . '</b>: '.$nota_piepagina.'<br>';
     }
@@ -324,5 +299,4 @@
     $output .= '<hr>';
   }
-
   return $output;
 }
@@ -333,20 +307,18 @@
  */
 function fase_de_seguimiento_proyecto_y_aes_page($node, $mes=0) {
-  
-    $meses = array(
-      0 => t('January'),
-      1 => t('February'), 
-      2 => t('March'), 
-      3 => t('April'),
-      4 => t('May'),
-      5 => t('June'),
-      6 => t('July'),
-      7 => t('August'),
-      8 => t('September'),
-      9 => t('Octuber'),
-      10 => t('November'),
-      11 => t('December'),
-    );
-    
+  $meses = array(
+    0 => t('January'),
+    1 => t('February'), 
+    2 => t('March'), 
+    3 => t('April'),
+    4 => t('May'),
+    5 => t('June'),
+    6 => t('July'),
+    7 => t('August'),
+    8 => t('September'),
+    9 => t('Octuber'),
+    10 => t('November'),
+    11 => t('December'),
+  );    
   drupal_set_title(t('Fase de Seguimiento de Proyecto Operativo y sus Acciones EspecÃ­ficas (mes de %mes_asignado)', array('%mes_asignado' => $meses[$mes])));
   
@@ -355,8 +327,7 @@
   $output .= t('Estimado(a) Usuario(a), para ingresar el <b>Seguimiento del Proyecto Operativo</b> debe <i>ingresar primero</i> los <b>Seguimiento de las Acciones EspecÃ­ficas</b> del mismo, los cuales se muestran a continuaciÃ³n.<br>');
   $output .= '<br>';
-
   $output .= '<h3>' . t('Seguimiento y Control de las Acciones EspecÃ­ficas del Proyecto') . '</h3>';
   $output .= '<fieldset><legend>' . t('Seguimiento y Control de las Acciones EspecÃ­ficas del Proyecto') . '</legend>';
-  foreach($node->field_proyecto_accion_esp as $accion) {//recorrido por todas las acciones especificas
+  foreach ($node->field_proyecto_accion_esp as $accion) {//recorrido por todas las acciones especificas
     $accion_esp_load = node_load($accion['nid']);
     if ($accion_esp_load && $accion_esp_load->type == 'accion_especifica') {//accion especifica cargada
@@ -368,5 +339,4 @@
   }
   $output .= '</fieldset>';
-  
   $output .= '<h3>' . t('Seguimiento y Control del Proyecto Operativo') . '</h3>';
   //$output .= '<img src="img/seg_proyecto.jpeg">';
@@ -375,5 +345,4 @@
   $output .= '</fieldset>';
   //$output .= _estado_seg_en_nivel_de_usuario_proyecto($node, $mes);
-  
   return $output;
 }
@@ -388,9 +357,10 @@
   $mes_seguimiento_proyecto_y_aes = variable_get('accion_especifica_de_proyecto_seguimiento_mes_seguimiento', 0);
   $mes_seguimiento_proyecto_y_aes = $mes_seguimiento_proyecto_y_aes -1;
-  if(_mes_dentro_de_duracion_proyecto($node, $mes_seguimiento_proyecto_y_aes)){
-      return $mes_seguimiento_proyecto_y_aes;
-  }else{
+  if (_mes_dentro_de_duracion_proyecto($node, $mes_seguimiento_proyecto_y_aes)) {
+    return $mes_seguimiento_proyecto_y_aes;
+  }
+  else {
     //Proyecto
-    if ($node->type == 'proyectos_operativos'){
+    if ($node->type == 'proyectos_operativos') {
       //consultar mes de inicio del proyecto
       $fechayhora_inicio = $node->field_proyecto_fecha_i[0]['value'];