Index: 3-modules/proyectos_operativos_seguimiento/includes/00_generales/funciones_flujo_trabajo.pages.inc~
===================================================================
--- 0.3-modules/proyectos_operativos_seguimiento/includes/00_generales/funciones_flujo_trabajo.pages.inc~	(revision 669d26ec4ea2faf2077deb28897b323fa402d1e9)
+++ 	(revision )
@@ -1,176 +1,0 @@
-<?php
-  /**
-  * Sistema Automatizado para la PlanificaciÃ³n EstratÃÂ©gico-Situacional en la AdministraciÃ³n PÃºblica Venezolana
-  * @file proyecto_operativo_seguimiento.module
-  * Drupal part Module to code proyectos operativos module
-  * Copyright 2012 Sistema Automatizado para la PlanificaciÃ³n EstratÃÂ©gico-Situacional en la AdministraciÃ³n PÃÂºblica Venezolana (CENDITEL)
-  *
-  * This program is free software; you can redistribute it and/or modify
-  * it under the terms of the GNU General Public License as published by
-  * the Free Software Foundation; either version 2 of the License, or
-  * (at your option) any later version.
-  * 
-  * This program is distributed in the hope that it will be useful,
-  * but WITHOUT ANY WARRANTY; without even the implied warranty of
-  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-  * GNU General Public License for more details.
-  * 
-  * You should have received a copy of the GNU General Public License
-  * along with this program; if not, write to the Free Software
-  * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
-  *
-  * @author CENDITEL Merida - Ing. Diego Uzcategui
-  * @date 2013-02-07 // (anno-mes-dia)
-  * @author CENDITEL Merida - Phd Juan Vizcarrondo (Actualizacion de funciones)
-  * @date 2016-12-14 // (anno-mes-dia)
-  * @version 0.1
-  *
-  */
-  
-/*
- * Implementation of _obtener_estados_seguimiento_mes()
- * Obtiene estados del flujo de trabajo para el seguimiento
- */
-function _obtener_estados_seguimiento_mes() {
-  $estados = array();
-  $wid = 0;
-  if (module_exists('workflow')) {
-    //$wid = workflow_get_workflow_for_type('accion_centralizada');
-    $wid = workflow_get_workflow_for_type('proyectos_operativos');
-    if ($wid){
-      $estados = workflow_get_states($wid);
-    }
-  }
-  return array(
-    'wid' => $wid,
-    'states' => $estados,
-  );
-}
-
-/*
- * Implementation of _obtener_estados_seguimiento_mes()
- * Obtiene estados del flujo de trabajo para seguimiento
- */
-function _obtener_estados_seguimiento_mes_2() {
-  $estados = array();
-  $wid = 0;
-  if (module_exists('workflow')) {
-    //$wid = workflow_get_workflow_for_type('accion_centralizada');
-    $wid = workflow_get_workflow_for_type('proyectos_operativos');
-    if ($wid){
-      $estados = workflow_get_states($wid);
-    }
-  }
-  foreach($estados as $id => $estado){
-    $estados[$id] = _nombres_estado_seg_mes($estado);
-  }
-  return array(
-    'wid' => $wid,
-    'states' => $estados,
-  );
-}
-
-/*
- * Transforma los estado de workflow acciones_centralizadas a seguimiento_mes
- */
-function _nombres_estado_seg_mes($nombre_estado='') {
-  return '';
-}
-
-
-function _nombres_estado_y_transiciones($nombre_estado='') {
-  return '';
-}
-
-//function _obtener_trnsiciones_disponibles($id_estado=0) {
-function _obtener_transiciones_disponibles($node, $mes = 0) {
-  global $user;
-  $consultaseguimientoactual = _seguimiento_mesactual_partida_ae_deproyecto_load($node, $mes);
-/*
-print '<pre>';
-print_r($consultaseguimientoactual);
-print '</pre>';
-*/
-  $estado = (isset($consultaseguimientoactual['segmes']['estado'])) ? $consultaseguimientoactual['segmes']['estado'] : -1;
-  $states = _obtener_estados_seguimiento_mes();
-  $ente = usuario_tiene_ente($user->uid);
-  $roles = array_keys($user->roles);
-  if ($user->uid == 1) {
-    // Superuser is special.
-    $roles_transition = 'ALL';
-  }
-  else {
-    $roles_transition = $roles;
-    if ($user->uid == $consultaseguimientoactual['segmes']['uid']&& $consultaseguimientoactual['segmes']['uid'] > 0) {//verificar si es el autor del seguimiento
-      $roles_transition += array('author' => 'author');
-    }
-  }
-  $transitions = array();
-  if ($states['wid']) {
-    $transitions = workflow_allowable_transitions($estado, 'to', $roles_transition);
-  }
-
-  $TransicionesEstadosDisponibles = array();
-  foreach($transitions as $sid => $estado_i) {
-    if ($estado != $sid){//evitando incluir la transicion hacia el mismo estado
-      $TransicionesEstadosDisponibles[$sid] = $estado_i;
-    }
-  }
-  $transiciones_disponibles = array(
-    'estado_actual' => $estado,
-    'nombre_estado_actual' => $states['states'][$estado],
-    'transic' => $TransicionesEstadosDisponibles,
-  );
-  return $transiciones_disponibles;
-}
-
-function _calcular_color_semaforo_estado_actual($nombre_estado = '') {
-  return '';
-}
-
-function _obtener_nivel_usuario_segun_estado($nombre_estado='') {
-  return '';
-}
-
-function _obtener_rol_y_ente_de_usuario() {
-  return '';
-}
-
-// codificada lunes 22 03 13, por Diego UzcÃ¡tegui
-//para proyectos operativos
-function _obtener_transiciones_disponibles_proyecto($node, $mes = 0) {
-  global $user;
-  $consultaseguimientoactual = _seguimiento_mesactual_proyecto_load($node, $mes);
-  $estado = (isset($consultaseguimientoactual['segmes']['estado'])) ? $consultaseguimientoactual['segmes']['estado'] : -1;
-  $states = _obtener_estados_seguimiento_mes();
-  $states['states'][-1] = t('Por ingresar');
-  $ente = usuario_tiene_ente($user->uid);
-  $roles = array_keys($user->roles);
-  if ($user->uid == 1) {
-    // Superuser is special.
-    $roles_transition = 'ALL';
-  }
-  else {
-    $roles_transition = $roles;
-    if ($user->uid == $consultaseguimientoactual['segmes']['uid'] && $consultaseguimientoactual['segmes']['uid'] > 0) {//verificar si es el autor del seguimiento
-      $roles_transition += array('author' => 'author');
-    }
-  }
-  $transitions = array();
-  if ($states['wid']) {
-    $transitions = workflow_allowable_transitions($estado, 'to', $roles_transition);
-  }
-  $current = workflow_node_current_state($node);
-  $TransicionesEstadosDisponibles = array();
-  foreach($transitions as $sid => $estado_i){
-    if ($estado != $sid){//evitando incluir la transicion hacia el mismo estado
-      $TransicionesEstadosDisponibles[$sid] = $estado_i;
-    }
-  }
-  $transiciones_disponibles = array(
-    'estado_actual' => $estado,
-    'nombre_estado_actual' => $states['states'][$estado],
-    'transic' => $TransicionesEstadosDisponibles,
-  );
-  return $transiciones_disponibles;
-}